%global         momorel 1

Name:           perl-File-pushd
Version:        1.009
Release:        %{momorel}m%{?dist}
Summary:        Change directory temporarily for a limited scope
License:        "Apache Software License"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-pushd/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/File-pushd-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.005
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Path
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Test-Simple
Requires:       perl-Cwd
Requires:       perl-File-Path
Requires:       perl-File-Temp
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
File::pushd does a temporary chdir that is easily and automatically
reverted, similar to pushd in some Unix command shells. It works by
creating an object that caches the original working directory. When the
object is destroyed, the destructor calls chdir to revert to the original
working directory. By storing the object in a lexical variable with a
limited scope, this happens automatically at the end of the scope.

%prep
%setup -q -n File-pushd-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README Todo
%{perl_vendorlib}/File/pushd.*
%{_mandir}/man3/*

%changelog
* Sun Jul 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.009-1m)
- update to 1.009

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-1m)
- rebuild against perl-5.20.0
- update to 1.007

* Wed Apr  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.006-1m)
- update to 1.006

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.5-4m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.5-3m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.5-2m)
- rebuild against perl-5.18.0

* Sat Mar 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.5-1m)
- update to 1.005

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.4-2m)
- rebuild against perl-5.16.3

* Thu Mar  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.4-1m)
- update to 1.004

* Wed Dec 12 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.3-1m)
- update to 1.003

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.2-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.2-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.2-2m)
- rebuild against perl-5.16.0

* Mon Dec 12 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.2-1m)
- update to 1.002

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.1-2m)
- rebuild against perl-5.14.2

* Tue Oct  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00.1-1m)
- update to 1.001

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-9m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-8m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.00-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.00-6m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-5m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.00-4m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-2m)
- rebuild against perl-5.12.0

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
